METALINK_CHUNK_CHECKSUM_T(3)

NAME
metalink_chunk_checksum_t - The structure that holds piece hashes for a resource.

SYNOPSIS
#include <metalink/metalink_types.h>

DESCRIPTION
metalink_chunk_checksum_t is a structure that holds piece hashes for a resource. It contains length of piece and a message digest algorithm name and each hash value which is stored in metalink_piece_hash_t(3).

STRUCTURE MEMBERS
char *type;
int length;
metalink_piece_hash_t **piece_hashes;

  type
Null terminated string of a message digest algorithm name used to calculate hash value for a resource.

  length
Length of a piece in bytes.

  piece_hashes
Null terminated array of pointer of metalink_piece_hash_t(3) structure. They are ordered so that a pointer to metalink_piece_hash_t(3) of ith piece can be accessed by piece_hashes[i].

SEE ALSO
metalink_parse_file(3), metalink_piece_hash_t(3)